[solved] smart installieren

Alles rund um die Installation Eures Linuxsystems, sowie die Updatefunktionen des Systems und das Paketmanagement

Moderator: Moderatoren

Antworten
legine
Newbie
Newbie
Beiträge: 33
Registriert: 1. Aug 2005, 13:23

[solved] smart installieren

Beitrag von legine » 1. Aug 2006, 17:45

Hallo,

Ich bin für RPM basierte Installationen zu doof.

Ich wollte nachdem ich nun eine SuSE 10.0 zum installieren bekommen habe gleich smart mit dazupacken.

Nach dem howto von hier http://www.linux-club.de/viewtopic.php?t=44887
die smart rpms runtergeladen dann python-gtk

Nun jetzt hänge ich ein bischen.
Ich kann das python-cairo packet nicht finden.

Auf meinen InstallationsCDs gibt es kein Cairo wenn ich nach python suche.
In dem repository von SuSE gibt es auch kein python-Cairo.
Muss ich etwa das Cairo Packet installieren?

Ich bin immer am verzweifeln wenn ich rpms installieren will die nicht auf den verdammten CDs sind. Ich bin für jede Hilfe dankbar.

Gruß
Legine

[edit]
Ich bins nicht gewöhnt das man nicht updaten kann von gtk2-2.8..3 auf 2.8.10. Kann man 2.8.3 gefahrlos deinstallieren und 2.8.10 installieren?

nochmals Danke
Legine
[/edit]
Zuletzt geändert von legine am 1. Aug 2006, 18:00, insgesamt 1-mal geändert.

Werbung:
Benutzeravatar
oc2pus
Ultimate Guru
Ultimate Guru
Beiträge: 6506
Registriert: 21. Jun 2004, 13:01

Beitrag von oc2pus » 1. Aug 2006, 17:53

python-gtk von der DVD/CD verwenden ...das braucht kein python-cairo.

es gibt auch kein python-cairo für SuSE-10.0
tell people what you want to do, and they'll probably help you to do it.
PackMan
LinWiki : Das Wiki für Linux User

legine
Newbie
Newbie
Beiträge: 33
Registriert: 1. Aug 2005, 13:23

Beitrag von legine » 1. Aug 2006, 18:02

komisch. Ich hab mir das RPM extra aus der 10.0 rubrik geholt...
(glaube ich)
[edit]
-> Jap

Ähm okey. Vermute mal das smart dann auch mit älteren versionen läuft.
Leider jammert smart im würde:
rpmmodule.so feheln
python-rpm
python-elementtree

Ich kann diese packete aber weder in Yast noch aus in den SuSE ftp servern sehen. Udn auf der Guru seite (wo man die Smart RPMs bekommt iss es auch net. Vielleicht auf einer anderen stelle in den Rpms?

Benutzeravatar
oc2pus
Ultimate Guru
Ultimate Guru
Beiträge: 6506
Registriert: 21. Jun 2004, 13:01

Beitrag von oc2pus » 1. Aug 2006, 18:34

welche smart Version rennt denn zur Zeit bei dir ?

rpm -qa | grep smart

Code: Alles auswählen

toni@oc2pus:~> sudo apt policy rpm-python python-elementtree
rpm-python:
  Installiert: 4.1.1-222
  Kandidat: 4.1.1-222
  Versionstabelle:
 *** 4.1.1-222 0
        499 ftp://ftp.gwdg.de SuSE/10.0-i386/base pkglist
        100 RPM Database
python-elementtree:
  Installiert: 1.2.6-2
  Kandidat: 1.2.6-2
  Versionstabelle:
 *** 1.2.6-2 0
        499 ftp://ftp.gwdg.de SuSE/10.0-i386/base pkglist
        100 RPM Database
sollte also alles in base drin sein ...
tell people what you want to do, and they'll probably help you to do it.
PackMan
LinWiki : Das Wiki für Linux User

legine
Newbie
Newbie
Beiträge: 33
Registriert: 1. Aug 2005, 13:23

Beitrag von legine » 1. Aug 2006, 18:44

hmm.

Kein smart. Ist ein ganz unbedarftes und frisches system.

Aber ich schau mal morgen früh ob die packete da sind. Wenn nicht dann iss es ja kein problem die jetzt nachzuinstallieren.
Weiß ja jetzt wo ich suchen muss ;)

Danke.

Grüße
Legine

legine
Newbie
Newbie
Beiträge: 33
Registriert: 1. Aug 2005, 13:23

Beitrag von legine » 2. Aug 2006, 13:39

Okey. smart is nun installiert.
Ich habe python-elementtree-1.2.6-2.i586.rpm und rpm-python-4.1.1-222.i586.rpm von ftp://ftp.gwdg.de/pub/opensuse/distribu ... suse/i586/ runtergeladen und installiert.

Dann lief es wie geschmiert.

Vielen Dank für die hilfe :D

Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 1 Gast